Bug 266263 - Add option to configure the practice font size
Summary: Add option to configure the practice font size
Status: RESOLVED FIXED
Alias: None
Product: parley
Classification: Unclassified
Component: general (show other bugs)
Version: 0.9.4
Platform: openSUSE RPMs Linux
: NOR normal with 40 votes (vote)
Target Milestone: ---
Assignee: parley bug tracker
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2011-02-14 05:45 UTC by Martin
Modified: 2011-05-01 15:26 UTC (History)
0 users

See Also:
Latest Commit:
Version Fixed In: KDE 4.7


Attachments
Screenshot 1 with Thai and English at default system font size (6.24 KB, image/png)
2011-02-14 05:49 UTC, Martin
Details
Screenshot 2 with Thai and English at default system font size (6.01 KB, image/png)
2011-02-14 05:52 UTC, Martin
Details

Note You need to log in before you can comment on or make changes to this bug.
Description Martin 2011-02-14 05:45:15 UTC
Version:           0.9.4 (using KDE 4.6.0) 
OS:                Linux

This is a follow up to the closed Bug 255027. The solution there, linking the font size in the practice window to the default system font allows to be able to at least read the words in most, if not all Western languages.

However still, the process of memorizing the words would be, imho, improved if the font could be configured to be much bigger.

Then there is the case of non-western languages. Let's take the Thai language as an example. Thai letters have not only 1, but 2 additional layers above a letter. German for example has just one, see the umlauts öäü etc. 

On top of that, or better said, at the bottom, Thai has another layer under the letter.

Which means that at a default system font size which is perfect for western
languages the Thai letters are only possible to read if you actually know the
word, meaning you can guess it. obviously, when you try to learn a word, you
don't know it, guessing is not what you should do when learning.

Therefore I think that the only way to really solve this bug is to let the user
configure the font here (and wherever words are shown), as you have done it
already for the table font.

Please see the attached screenshot examples, I think it shows the problem clearly.

Thanks,
Martin




Reproducible: Always

Steps to Reproduce:
Use Thai or Chinese / Japanese / etc words and go to "Practice".

Actual Results:  
In Thai for example the vocals and markers which are above and below the main letter are too small to be identified. The difference between อี่ and อั๋ อืฺ etc blurs.

Expected Results:  
Font big enough to identify the vocals and markers clearly and without guessing.

Let the user configure the font used for practice (and wherever words are shown), as you have done it already for the table font.
Comment 1 Martin 2011-02-14 05:49:58 UTC
Created attachment 57232 [details]
Screenshot 1 with Thai and English at default system font size

Example 1 - Thai fonts are not readable while German is perfect at default system font size
Comment 2 Martin 2011-02-14 05:52:32 UTC
Created attachment 57233 [details]
Screenshot 2 with Thai and English at default system font size

Example 2 - Thai fonts are not readable while German is perfect at default system font size
Comment 3 Frederik Gladhorn 2011-05-01 15:26:00 UTC
Git commit 24a7f711c614c6fa81938ace57aed0ed679d94ed by Frederik Gladhorn.
Committed on 01/05/2011 at 15:18.
Pushed by gladhorn into branch 'practice-font-size'.

Implement setting of different font for practice modes.

One font and size per language. Can be configured in
language settings in the editor.

BUG: 237056
BUG: 266263
FIXED-IN: KDE 4.7

M  +2    -2    src/practice/abstractwidget.h     
M  +14   -3    src/practice/comparisonmodewidget.cpp     
M  +2    -1    src/practice/comparisonmodewidget.h     
M  +14   -0    src/practice/conjugationmodewidget.cpp     
M  +3    -0    src/practice/conjugationmodewidget.h     
M  +10   -0    src/practice/flashcardmodewidget.cpp     
M  +2    -0    src/practice/flashcardmodewidget.h     
M  +8    -1    src/practice/mixedlettersmodewidget.cpp     
M  +2    -0    src/practice/mixedlettersmodewidget.h     
M  +11   -1    src/practice/multiplechoicemodewidget.cpp     
M  +4    -1    src/practice/multiplechoicemodewidget.h     

http://commits.kde.org/parley/24a7f711c614c6fa81938ace57aed0ed679d94ed